# Namespace hcap.speech

hcap.speech

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.speech

## Method Summary

## Namespace Detail

hcap.speech

## Method Detail

- <static> hcap.speech.decideHost(param)
  Decides who is in charge of handling the speech recognition.

      hcap.speech.decideHost({
           "serviceType" : "id_time",
           "actionType" : "id_time_info",
           "hostType" : hcap.speech.HostType.APPLICATION,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {String} param.serviceType [Required] - STT result category.
    - {String} param.actionType [Required] - STT result intent.
    - {Number} param.hostType [Required] - host type defined hcap.speech.HostType.
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.22.2
  See:
    {Event} speech_to_text_status_changed
    hcap.speech.setSpeechRecognition()
    hcap.speech.getSpeechRecognition()
- <static> hcap.speech.getSpeechRecognition(param)
  Gets whether using the speech recognition by HCAP Application is enabled or disabled.

      hcap.speech.getSpeechRecognition({
           "onSuccess" : function (param) {
               console.log("onSuccess : get speech recognition = " + param.enable);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {Boolean} param.enable - true if using the speech recognition by HCAP Application is enabled. false if using the speech recognition by HCAP Application is disabled.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.22.2
  See:
    {Event} speech_to_text_status_changed
    hcap.speech.setSpeechRecognition()
    hcap.speech.decideHost()
- <static> hcap.speech.setSpeechRecognition(param)
  Sets using the speech recognition by HCAP Application is enabled or disabled.

      hcap.speech.setSpeechRecognition({
           "enable" : true,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Boolean} param.enable [Required] - true : enable to speech recognition, false : disable.
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.22.2
  See:
    {Event} speech_to_text_status_changed
    hcap.speech.getSpeechRecognition()
    hcap.speech.decideHost()